html,
body {
  margin: 0;
  padding: 0;
  background-color: #121212;
  color: #eee;
  font-family: "Fira Code", monospace;
  height: 100%;
  overflow: hidden;
}

.proyecto-header {
  gap: 0.75rem 0rem;
  position: fixed;
  flex-wrap: nowrap;
  top: 0;
  left: 0;
  right: 0;
  background-color: #1e1e1e;
  border-bottom: 1px solid #000000b4;
  z-index: 100;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.titulo-proyecto {
  font-size: 1rem;
  font-weight: bold;
  color: #fff;
  order: 0;
  padding: 0.5rem 1rem;
  text-transform: capitalize;
}

.icono-acceso-contenedor {
  order: 3;
  margin-left: 0.75rem;
  padding: 0.5rem 1rem 0.5rem 0rem;
}

.icono-acceso {
  align-items: center;
  width: 35px;
  height: 35px;
  background-color: #2e2e2e;
  border: 1px solid #444;
  border-radius: 6px;
  justify-content: center;
  cursor: pointer;
  display: flex;
}

.icono-acceso img {
  width: 25px;
  height: 25px;
}

.tabs-row {
  order: 2;
  display: flex;
  gap: 0.75rem;
  margin-left: auto;
}

.tab {
  display: flex;
  align-items: center;
  background: #2a2a2a;
  border: 1px solid #444;
  border-radius: 4px;
  font-size: 0.9rem;
  color: #ccc;
  cursor: pointer;
  transition: 0.2s;
}

.tab-icon,
.tab-text {
  padding: 0.3rem 0.6rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
}

.tab-icon {
  border-right: 1px solid #444;
}

.tab-icon img {
  width: 25px;
  height: 25px;
}

.tab-html:hover,
.tab-html.active {
  background-color: #f5a52365;
}

.tab-css:hover,
.tab-css.active {
  background-color: #4a90e265;
}

.tab-js:hover,
.tab-js.active {
  background-color: #f8e71c65;
}

.tab-html .tab-text {
  color: #e34c26;
}
.tab-css .tab-text {
  color: #264de4;
}
.tab-js .tab-text {
  color: #f0db4f;
}

.code-window {
  position: fixed;
  bottom: -100%;
  left: 0;
  right: 0;
  background-color: #1e1e1e;
  border-top: 1px solid #333;
  max-height: 40%;
  overflow-y: auto;
  transition: bottom 0.5s ease-in-out;
  z-index: 99;
}

.code-window.active {
  bottom: 0;
}

.tab-content {
  display: none;
}

.tab-content.active {
  display: block;
}

.code-header {
  position: sticky;
  top: 0;
  display: flex;
  justify-content: flex-end;
  background: #1a1a1a;
  padding: 0.4rem 0.8rem;
  border-bottom: 1px solid #333;
  z-index: 10;
}

.code-minimize {
  background-color: #2c2c2c;
  border: 1px solid #444;
  border-radius: 4px;
  padding: 0 0.4rem;
  cursor: pointer;
  font-weight: bold;
  font-size: 1rem;
}

#html .code-minimize {
  color: #e34c26;
}
#css .code-minimize {
  color: #264de4;
}
#js .code-minimize {
  color: #f0db4f;
}

pre {
  margin: 0;
  padding: 0.5rem 1rem;
  font-size: 0.85rem;
}

iframe {
  position: fixed;
  left: 0;
  width: 100vw;
  border: none;
  z-index: 1;
}

@media (max-width: 620px) {
  .titulo-proyecto {
    font-size: 1rem;
  }

  .proyecto-header {
    flex-wrap: wrap;
    padding-top: 0rem;
    padding-bottom: 0rem;
    gap: 0rem;
  }

  .icono-acceso-contenedor {
    order: 2;
    margin-left: auto;
  }

  .tabs-row {
    padding: 0.5rem 1rem;
    order: 3;
    margin-left: inherit;
    width: 100%;
    justify-content: space-between;
    background-color: #353535;
    border-bottom: 1px solid #000000b4;
    border-top: 1px solid #000000b4;
  }
}
